Skip to main content
`Ctrl`+`K`

# compose_models_with_units

astropy.modeling.compose_models_with_units(left, right)

  This function is a convenience function to compose two models with units such that unit changes are possible.

  This performs left | right, but with the added ability to handle unit changes

  Parameters:
    left: `~astropy.modeling.Model`

      The model to the left of the `|` operator.

    right: `~astropy.modeling.Model`

      The model to the right of the `|` operator.

  Returns:
    model: `CompoundModel`

      The composed left `|` right, with unit change through `|` enabled.